Index: trunk/BNC/qwt/qwt_plot_renderer.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_renderer.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_renderer.cpp	(revision 9383)
@@ -15,24 +15,63 @@
 #include "qwt_scale_widget.h"
 #include "qwt_scale_engine.h"
+#include "qwt_scale_map.h"
 #include "qwt_text.h"
 #include "qwt_text_label.h"
 #include "qwt_math.h"
+
 #include <qpainter.h>
-#include <qpaintengine.h>
+#include <qpainterpath.h>
 #include <qtransform.h>
 #include <qprinter.h>
-#include <qprintdialog.h>
 #include <qfiledialog.h>
 #include <qfileinfo.h>
-#include <qstyle.h>
-#include <qstyleoption.h>
 #include <qimagewriter.h>
+#include <qvariant.h>
+
 #ifndef QWT_NO_SVG
 #ifdef QT_SVG_LIB
+#if QT_VERSION >= 0x040500
+#define QWT_FORMAT_SVG 1
+#endif
+#endif
+#endif
+
+#ifndef QT_NO_PRINTER
+#define QWT_FORMAT_PDF 1
+#endif
+
+#ifndef QT_NO_PDF
+
+// QPdfWriter::setResolution() has been introduced with
+// Qt 5.3. Guess it is o.k. to stay with QPrinter for older
+// versions.
+
+#if QT_VERSION >= 0x050300
+
+#ifndef QWT_FORMAT_PDF
+#define QWT_FORMAT_PDF 1
+#endif
+
+#define QWT_PDF_WRITER 1
+
+#endif
+#endif
+
+#ifndef QT_NO_PRINTER
+// postscript support has been dropped in Qt5
+#if QT_VERSION < 0x050000
+#define QWT_FORMAT_POSTSCRIPT 1
+#endif
+#endif
+
+#if QWT_FORMAT_SVG
 #include <qsvggenerator.h>
 #endif
-#endif
-
-static QPainterPath qwtCanvasClip( 
+
+#if QWT_PDF_WRITER
+#include <qpdfwriter.h>
+#endif
+
+static QPainterPath qwtCanvasClip(
     const QWidget* canvas, const QRectF &canvasRect )
 {
@@ -58,4 +97,12 @@
 }
 
+static inline QFont qwtResolvedFont( const QWidget *widget )
+{
+    QFont font = widget->font();
+    font.resolve( QFont::AllPropertiesResolved );
+
+    return font;
+}
+
 class QwtPlotRenderer::PrivateData
 {
@@ -71,5 +118,5 @@
 };
 
-/*! 
+/*!
    Constructor
    \param parent Parent object
@@ -239,7 +286,18 @@
 
     const QString fmt = format.toLower();
-    if ( fmt == "pdf" )
-    {
-#ifndef QT_NO_PRINTER
+    if ( fmt == QLatin1String( "pdf" ) )
+    {
+#if QWT_FORMAT_PDF
+
+#if QWT_PDF_WRITER
+        QPdfWriter pdfWriter( fileName );
+        pdfWriter.setPageSizeMM( sizeMM );
+        pdfWriter.setTitle( title );
+        pdfWriter.setPageMargins( QMarginsF() );
+        pdfWriter.setResolution( resolution );
+
+        QPainter painter( &pdfWriter );
+        render( plot, &painter, documentRect );
+#else
         QPrinter printer;
         printer.setOutputFormat( QPrinter::PdfFormat );
@@ -254,9 +312,9 @@
         render( plot, &painter, documentRect );
 #endif
-    }
-    else if ( fmt == "ps" )
-    {
-#if QT_VERSION < 0x050000
-#ifndef QT_NO_PRINTER
+#endif
+    }
+    else if ( fmt == QLatin1String( "ps" ) )
+    {
+#if QWT_FORMAT_POSTSCRIPT
         QPrinter printer;
         printer.setOutputFormat( QPrinter::PostScriptFormat );
@@ -271,11 +329,8 @@
         render( plot, &painter, documentRect );
 #endif
-#endif
-    }
-    else if ( fmt == "svg" )
-    {
-#ifndef QWT_NO_SVG
-#ifdef QT_SVG_LIB
-#if QT_VERSION >= 0x040500
+    }
+    else if ( fmt == QLatin1String( "svg" ) )
+    {
+#if QWT_FORMAT_SVG
         QSvgGenerator generator;
         generator.setTitle( title );
@@ -287,6 +342,4 @@
         render( plot, &painter, documentRect );
 #endif
-#endif
-#endif
     }
     else
@@ -367,7 +420,5 @@
 #endif
 
-#ifndef QWT_NO_SVG
-#ifdef QT_SVG_LIB
-#if QT_VERSION >= 0x040500
+#if QWT_FORMAT_SVG
 
 /*!
@@ -395,6 +446,5 @@
     render( plot, &p, rect );
 }
-#endif
-#endif
+
 #endif
 
@@ -461,9 +511,4 @@
             if ( !plot->axisEnabled( axisId ) )
             {
-                int left = 0;
-                int right = 0;
-                int top = 0;
-                int bottom = 0;
-
                 // When we have a scale the frame is painted on
                 // the position of the backbone - otherwise we
@@ -487,5 +532,4 @@
                         break;
                 }
-                layoutRect.adjust( left, top, right, bottom );
             }
         }
@@ -500,6 +544,5 @@
     {
         layoutOptions |= QwtPlotLayout::IgnoreFrames;
-    } 
-
+    }
 
     if ( d_data->discardFlags & DiscardLegend )
@@ -591,10 +634,10 @@
   \param plot Plot widget
   \param painter Painter
-  \param rect Bounding rectangle
+  \param titleRect Bounding rectangle for the title
 */
 void QwtPlotRenderer::renderTitle( const QwtPlot *plot,
-    QPainter *painter, const QRectF &rect ) const
-{
-    painter->setFont( plot->titleLabel()->font() );
+    QPainter *painter, const QRectF &titleRect ) const
+{
+    painter->setFont( qwtResolvedFont( plot->titleLabel() ) );
 
     const QColor color = plot->titleLabel()->palette().color(
@@ -602,5 +645,5 @@
 
     painter->setPen( color );
-    plot->titleLabel()->text().draw( painter, rect );
+    plot->titleLabel()->text().draw( painter, titleRect );
 }
 
@@ -610,10 +653,10 @@
   \param plot Plot widget
   \param painter Painter
-  \param rect Bounding rectangle
+  \param footerRect Bounding rectangle for the footer
 */
 void QwtPlotRenderer::renderFooter( const QwtPlot *plot,
-    QPainter *painter, const QRectF &rect ) const
-{
-    painter->setFont( plot->footerLabel()->font() );
+    QPainter *painter, const QRectF &footerRect ) const
+{
+    painter->setFont( qwtResolvedFont( plot->footerLabel() ) );
 
     const QColor color = plot->footerLabel()->palette().color(
@@ -621,7 +664,6 @@
 
     painter->setPen( color );
-    plot->footerLabel()->text().draw( painter, rect );
-}
-
+    plot->footerLabel()->text().draw( painter, footerRect );
+}
 
 /*!
@@ -630,13 +672,13 @@
   \param plot Plot widget
   \param painter Painter
-  \param rect Bounding rectangle
+  \param legendRect Bounding rectangle for the legend
 */
 void QwtPlotRenderer::renderLegend( const QwtPlot *plot,
-    QPainter *painter, const QRectF &rect ) const
+    QPainter *painter, const QRectF &legendRect ) const
 {
     if ( plot->legend() )
     {
         bool fillBackground = !( d_data->discardFlags & DiscardBackground );
-        plot->legend()->renderLegend( painter, rect, fillBackground );
+        plot->legend()->renderLegend( painter, legendRect, fillBackground );
     }
 }
@@ -652,10 +694,10 @@
   \param endDist End border distance
   \param baseDist Base distance
-  \param rect Bounding rectangle
+  \param scaleRect Bounding rectangle for the scale
 */
 void QwtPlotRenderer::renderScale( const QwtPlot *plot,
     QPainter *painter,
     int axisId, int startDist, int endDist, int baseDist,
-    const QRectF &rect ) const
+    const QRectF &scaleRect ) const
 {
     if ( !plot->axisEnabled( axisId ) )
@@ -666,5 +708,5 @@
         && scaleWidget->colorBarWidth() > 0 )
     {
-        scaleWidget->drawColorBar( painter, scaleWidget->colorBarRect( rect ) );
+        scaleWidget->drawColorBar( painter, scaleWidget->colorBarRect( scaleRect ) );
         baseDist += scaleWidget->colorBarWidth() + scaleWidget->spacing();
     }
@@ -679,7 +721,7 @@
         case QwtPlot::yLeft:
         {
-            x = rect.right() - 1.0 - baseDist;
-            y = rect.y() + startDist;
-            w = rect.height() - startDist - endDist;
+            x = scaleRect.right() - 1.0 - baseDist;
+            y = scaleRect.y() + startDist;
+            w = scaleRect.height() - startDist - endDist;
             align = QwtScaleDraw::LeftScale;
             break;
@@ -687,7 +729,7 @@
         case QwtPlot::yRight:
         {
-            x = rect.left() + baseDist;
-            y = rect.y() + startDist;
-            w = rect.height() - startDist - endDist;
+            x = scaleRect.left() + baseDist;
+            y = scaleRect.y() + startDist;
+            w = scaleRect.height() - startDist - endDist;
             align = QwtScaleDraw::RightScale;
             break;
@@ -695,7 +737,7 @@
         case QwtPlot::xTop:
         {
-            x = rect.left() + startDist;
-            y = rect.bottom() - 1.0 - baseDist;
-            w = rect.width() - startDist - endDist;
+            x = scaleRect.left() + startDist;
+            y = scaleRect.bottom() - 1.0 - baseDist;
+            w = scaleRect.width() - startDist - endDist;
             align = QwtScaleDraw::TopScale;
             break;
@@ -703,7 +745,7 @@
         case QwtPlot::xBottom:
         {
-            x = rect.left() + startDist;
-            y = rect.top() + baseDist;
-            w = rect.width() - startDist - endDist;
+            x = scaleRect.left() + startDist;
+            y = scaleRect.top() + baseDist;
+            w = scaleRect.width() - startDist - endDist;
             align = QwtScaleDraw::BottomScale;
             break;
@@ -713,7 +755,7 @@
     }
 
-    scaleWidget->drawTitle( painter, align, rect );
-
-    painter->setFont( scaleWidget->font() );
+    scaleWidget->drawTitle( painter, align, scaleRect );
+
+    painter->setFont( qwtResolvedFont( scaleWidget ) );
 
     QwtScaleDraw *sd = const_cast<QwtScaleDraw *>( scaleWidget->scaleDraw() );
@@ -740,10 +782,10 @@
   \param plot Plot widget
   \param painter Painter
-  \param map Maps mapping between plot and paint device coordinates
+  \param maps Maps mapping between plot and paint device coordinates
   \param canvasRect Canvas rectangle
 */
 void QwtPlotRenderer::renderCanvas( const QwtPlot *plot,
-    QPainter *painter, const QRectF &canvasRect, 
-    const QwtScaleMap *map ) const
+    QPainter *painter, const QRectF &canvasRect,
+    const QwtScaleMap *maps ) const
 {
     const QWidget *canvas = plot->canvas();
@@ -771,5 +813,5 @@
 
         painter->setClipRect( canvasRect );
-        plot->drawItems( painter, canvasRect, map );
+        plot->drawItems( painter, canvasRect, maps );
 
         painter->restore();
@@ -795,5 +837,5 @@
             painter->setClipPath( clipPath );
 
-        plot->drawItems( painter, canvasRect, map );
+        plot->drawItems( painter, canvasRect, maps );
 
         painter->restore();
@@ -814,5 +856,5 @@
         }
 
-        QRectF innerRect = canvasRect.adjusted( 
+        QRectF innerRect = canvasRect.adjusted(
             frameWidth, frameWidth, -frameWidth, -frameWidth );
 
@@ -833,5 +875,5 @@
         }
 
-        plot->drawItems( painter, innerRect, map );
+        plot->drawItems( painter, innerRect, maps );
 
         painter->restore();
@@ -845,15 +887,12 @@
                 canvas->property( "frameShape" ).toInt();
 
-            const int frameWidth = canvas->property( "frameWidth" ).toInt();
-
-
             const QVariant borderRadius = canvas->property( "borderRadius" );
-            if ( borderRadius.type() == QVariant::Double 
+            if ( borderRadius.type() == QVariant::Double
                 && borderRadius.toDouble() > 0.0 )
             {
-                const double r = borderRadius.toDouble();
+                const double radius = borderRadius.toDouble();
 
                 QwtPainter::drawRoundedFrame( painter, canvasRect,
-                    r, r, canvas->palette(), frameWidth, frameStyle );
+                    radius, radius, canvas->palette(), frameWidth, frameStyle );
             }
             else
@@ -933,5 +972,5 @@
     double margins[QwtPlot::axisCnt];
     plot->getCanvasMarginsHint( maps, canvasRect,
-        margins[QwtPlot::yLeft], margins[QwtPlot::xTop], 
+        margins[QwtPlot::yLeft], margins[QwtPlot::xTop],
         margins[QwtPlot::yRight], margins[QwtPlot::xBottom] );
 
@@ -963,27 +1002,27 @@
 bool QwtPlotRenderer::exportTo( QwtPlot *plot, const QString &documentName,
      const QSizeF &sizeMM, int resolution )
-{       
+{
     if ( plot == NULL )
         return false;
-    
+
     QString fileName = documentName;
 
-    // What about translation 
+    // What about translation
 
 #ifndef QT_NO_FILEDIALOG
     const QList<QByteArray> imageFormats =
         QImageWriter::supportedImageFormats();
-        
+
     QStringList filter;
-#ifndef QT_NO_PRINTER
+#if QWT_FORMAT_PDF
     filter += QString( "PDF " ) + tr( "Documents" ) + " (*.pdf)";
 #endif
-#ifndef QWT_NO_SVG 
+#if QWT_FORMAT_SVG
     filter += QString( "SVG " ) + tr( "Documents" ) + " (*.svg)";
 #endif
-#ifndef QT_NO_PRINTER
+#if QWT_FORMAT_POSTSCRIPT
     filter += QString( "Postscript " ) + tr( "Documents" ) + " (*.ps)";
 #endif
-    
+
     if ( imageFormats.size() > 0 )
     {
@@ -994,16 +1033,16 @@
             if ( i > 0 )
                 imageFilter += " ";
-            imageFilter += "*."; 
+            imageFilter += "*.";
             imageFilter += imageFormats[i];
-        }   
+        }
         imageFilter += ")";
-        
+
         filter += imageFilter;
-    }   
-    
+    }
+
     fileName = QFileDialog::getSaveFileName(
         NULL, tr( "Export File Name" ), fileName,
         filter.join( ";;" ), NULL, QFileDialog::DontConfirmOverwrite );
-#endif  
+#endif
     if ( fileName.isEmpty() )
         return false;
@@ -1012,3 +1051,3 @@
 
     return true;
-}   
+}
Index: trunk/BNC/qwt/qwt_plot_renderer.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_renderer.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_renderer.h	(revision 9383)
@@ -61,5 +61,5 @@
         DiscardFooter           = 0x10,
 
-        /*! 
+        /*!
             Don't render the frame of the canvas
 
@@ -128,18 +128,18 @@
 #endif
 
-    void renderTo( QwtPlot *, QPaintDevice &p ) const;
+    void renderTo( QwtPlot *, QPaintDevice & ) const;
 
     virtual void render( QwtPlot *,
-        QPainter *, const QRectF &rect ) const;
+        QPainter *, const QRectF &plotRect ) const;
 
     virtual void renderTitle( const QwtPlot *,
-        QPainter *, const QRectF & ) const;
+        QPainter *, const QRectF &titleRect ) const;
 
     virtual void renderFooter( const QwtPlot *,
-        QPainter *, const QRectF & ) const;
+        QPainter *, const QRectF &footerRect ) const;
 
     virtual void renderScale( const QwtPlot *, QPainter *,
         int axisId, int startDist, int endDist,
-        int baseDist, const QRectF & ) const;
+        int baseDist, const QRectF &scaleRect ) const;
 
     virtual void renderCanvas( const QwtPlot *,
@@ -147,6 +147,6 @@
         const QwtScaleMap* maps ) const;
 
-    virtual void renderLegend( 
-        const QwtPlot *, QPainter *, const QRectF & ) const;
+    virtual void renderLegend(
+        const QwtPlot *, QPainter *, const QRectF &legendRect ) const;
 
     bool exportTo( QwtPlot *, const QString &documentName,
Index: trunk/BNC/qwt/qwt_plot_scaleitem.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_scaleitem.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_scaleitem.h	(revision 9383)
@@ -33,14 +33,14 @@
 
   \par Example
-  The following example shows how to replace the left axis, by a scale item
-  at the x position 0.0.
-  \verbatim
-QwtPlotScaleItem *scaleItem =
-    new QwtPlotScaleItem(QwtScaleDraw::RightScale, 0.0);
-scaleItem->setFont(plot->axisWidget(QwtPlot::yLeft)->font());
-scaleItem->attach(plot);
+    The following example shows how to replace the left axis, by a scale item
+    at the x position 0.0.
+    \code
+      QwtPlotScaleItem *scaleItem = new QwtPlotScaleItem( QwtScaleDraw::RightScale, 0.0 );
+      scaleItem->setFont( plot->axisWidget( QwtPlot::yLeft )->font() );
+      scaleItem->attach(plot);
 
-plot->enableAxis(QwtPlot::yLeft, false);
-\endverbatim
+      plot->enableAxis( QwtPlot::yLeft, false );
+    \endcode
+  \endpar
 */
 
@@ -76,12 +76,12 @@
     double position() const;
 
-    void setBorderDistance( int numPixels );
+    void setBorderDistance( int );
     int borderDistance() const;
 
     void setAlignment( QwtScaleDraw::Alignment );
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &rect ) const;
+        const QRectF &canvasRect ) const;
 
     virtual void updateScaleDiv( const QwtScaleDiv &, const QwtScaleDiv & );
Index: trunk/BNC/qwt/qwt_plot_seriesitem.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_seriesitem.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_seriesitem.cpp	(revision 9383)
@@ -40,4 +40,5 @@
 {
     d_data = new PrivateData();
+    setItemInterest( QwtPlotItem::ScaleInterest, true );
 }
 
@@ -99,11 +100,11 @@
 void QwtPlotSeriesItem::updateScaleDiv(
     const QwtScaleDiv &xScaleDiv, const QwtScaleDiv &yScaleDiv )
-{   
+{
     const QRectF rect = QRectF(
         xScaleDiv.lowerBound(), yScaleDiv.lowerBound(),
         xScaleDiv.range(), yScaleDiv.range() );
-        
+
     setRectOfInterest( rect );
-}   
+}
 
 void QwtPlotSeriesItem::dataChanged()
Index: trunk/BNC/qwt/qwt_plot_seriesitem.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_seriesitem.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_seriesitem.h	(revision 9383)
@@ -24,5 +24,5 @@
 {
 public:
-    explicit QwtPlotSeriesItem( const QString &title = QString::null );
+    explicit QwtPlotSeriesItem( const QString &title = QString() );
     explicit QwtPlotSeriesItem( const QwtText &title );
 
@@ -32,5 +32,5 @@
     Qt::Orientation orientation() const;
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
         const QRectF & ) const;
@@ -53,5 +53,5 @@
     virtual QRectF boundingRect() const;
 
-    virtual void updateScaleDiv( 
+    virtual void updateScaleDiv(
         const QwtScaleDiv &, const QwtScaleDiv & );
 
Index: trunk/BNC/qwt/qwt_plot_shapeitem.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_shapeitem.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_shapeitem.h	(revision 9383)
@@ -16,5 +16,5 @@
 
 /*!
-  \brief A plot item, which displays any graphical shape, 
+  \brief A plot item, which displays any graphical shape,
          that can be defined by a QPainterPath
 
@@ -61,9 +61,9 @@
         LegendShape,
 
-        //! Display a filled rectangle 
+        //! Display a filled rectangle
         LegendColor
     };
 
-    explicit QwtPlotShapeItem( const QString &title = QString::null );
+    explicit QwtPlotShapeItem( const QString &title = QString() );
     explicit QwtPlotShapeItem( const QwtText &title );
 
@@ -94,7 +94,7 @@
     virtual QRectF boundingRect() const;
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &rect ) const;
+        const QRectF &canvasRect ) const;
 
     virtual QwtGraphic legendIcon( int index, const QSizeF & ) const;
Index: trunk/BNC/qwt/qwt_plot_spectrocurve.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_spectrocurve.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_spectrocurve.h	(revision 9383)
@@ -22,6 +22,6 @@
            mapped to a color.
 */
-class QWT_EXPORT QwtPlotSpectroCurve: 
-    public QwtPlotSeriesItem, QwtSeriesStore<QwtPoint3D>
+class QWT_EXPORT QwtPlotSpectroCurve:
+    public QwtPlotSeriesItem, public QwtSeriesStore<QwtPoint3D>
 {
 public:
@@ -36,5 +36,5 @@
     typedef QFlags<PaintAttribute> PaintAttributes;
 
-    explicit QwtPlotSpectroCurve( const QString &title = QString::null );
+    explicit QwtPlotSpectroCurve( const QString &title = QString() );
     explicit QwtPlotSpectroCurve( const QwtText &title );
 
@@ -60,5 +60,5 @@
         const QRectF &canvasRect, int from, int to ) const;
 
-    void setPenWidth(double width);
+    void setPenWidth( double );
     double penWidth() const;
 
Index: trunk/BNC/qwt/qwt_plot_spectrogram.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_spectrogram.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_spectrogram.h	(revision 9383)
@@ -56,5 +56,5 @@
     typedef QFlags<DisplayMode> DisplayModes;
 
-    explicit QwtPlotSpectrogram( const QString &title = QString::null );
+    explicit QwtPlotSpectrogram( const QString &title = QString() );
     virtual ~QwtPlotSpectrogram();
 
@@ -72,5 +72,5 @@
     virtual QRectF pixelHint( const QRectF & ) const;
 
-    void setDefaultContourPen( const QColor &, 
+    void setDefaultContourPen( const QColor &,
         qreal width = 0.0, Qt::PenStyle = Qt::SolidLine );
     void setDefaultContourPen( const QPen & );
@@ -87,7 +87,7 @@
     virtual int rtti() const;
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &rect ) const;
+        const QRectF &canvasRect ) const;
 
 protected:
@@ -102,10 +102,10 @@
         const QRectF &rect, const QSize &raster ) const;
 
-    virtual void drawContourLines( QPainter *p,
+    virtual void drawContourLines( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QwtRasterData::ContourLines& lines ) const;
+        const QwtRasterData::ContourLines& ) const;
 
     void renderTile( const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRect &imageRect, QImage *image ) const;
+        const QRect &tile, QImage * ) const;
 
 private:
Index: trunk/BNC/qwt/qwt_plot_svgitem.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_svgitem.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_svgitem.h	(revision 9383)
@@ -28,5 +28,5 @@
 {
 public:
-    explicit QwtPlotSvgItem( const QString& title = QString::null );
+    explicit QwtPlotSvgItem( const QString& title = QString() );
     explicit QwtPlotSvgItem( const QwtText& title );
     virtual ~QwtPlotSvgItem();
@@ -37,7 +37,7 @@
     virtual QRectF boundingRect() const;
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &rect ) const;
+        const QRectF &canvasRect ) const;
 
     virtual int rtti() const;
@@ -47,8 +47,8 @@
     QSvgRenderer &renderer();
 
-    void render( QPainter *painter,
+    void render( QPainter *,
         const QRectF &viewBox, const QRectF &rect ) const;
 
-    QRectF viewBox( const QRectF &area ) const;
+    QRectF viewBox( const QRectF &rect ) const;
 
 private:
Index: trunk/BNC/qwt/qwt_plot_textlabel.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_textlabel.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_textlabel.h	(revision 9383)
@@ -22,26 +22,26 @@
   In opposite to QwtPlotMarker the position of the label is unrelated to
   plot coordinates.
-    
+
   As drawing a text is an expensive operation the label is cached
   in a pixmap to speed up replots.
 
   \par Example
-  The following code shows how to add a title.
+    The following code shows how to add a title.
+    \code
+      QwtText title( "Plot Title" );
+      title.setRenderFlags( Qt::AlignHCenter | Qt::AlignTop );
 
-\verbatim
-    QwtText title( "Plot Title" );
-    title.setRenderFlags( Qt::AlignHCenter | Qt::AlignTop );
+      QFont font;
+      font.setBold( true );
+      title.setFont( font );
 
-    QFont font;
-    font.setBold( true );
-    title.setFont( font );
-
-    QwtPlotTextLabel *titleItem = new QwtPlotTextLabel();
-    titleItem->setText( title );
-    titleItem->attach( this );
-\endverbatim
+      QwtPlotTextLabel *titleItem = new QwtPlotTextLabel();
+      titleItem->setText( title );
+      titleItem->attach( plot );
+    \endcode
+  \endpar
 
   \sa QwtPlotMarker
-*/  
+*/
 
 class QWT_EXPORT QwtPlotTextLabel: public QwtPlotItem
Index: trunk/BNC/qwt/qwt_plot_tradingcurve.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_tradingcurve.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_tradingcurve.cpp	(revision 9383)
@@ -135,11 +135,11 @@
 /*!
   Assign a series of samples
-    
+
   setSamples() is just a wrapper for setData() without any additional
   value - beside that it is easier to find for the developer.
-    
+
   \param data Data
   \warning The item takes ownership of the data object, deleting
-           it when its not used anymore. 
+           it when its not used anymore.
 */
 void QwtPlotTradingCurve::setSamples(
@@ -147,5 +147,5 @@
 {
     setData( data );
-}   
+}
 
 /*!
@@ -177,20 +177,20 @@
 }
 
-/*! 
+/*!
   Build and assign the symbol pen
-    
+
   In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it
   non cosmetic ( see QPen::isCosmetic() ). This method has been introduced
   to hide this incompatibility.
-    
+
   \param color Pen color
   \param width Pen width
   \param style Pen style
-    
+
   \sa pen(), brush()
- */ 
-void QwtPlotTradingCurve::setSymbolPen( 
+ */
+void QwtPlotTradingCurve::setSymbolPen(
     const QColor &color, qreal width, Qt::PenStyle style )
-{   
+{
     setSymbolPen( QPen( color, width, style ) );
 }
@@ -236,10 +236,12 @@
     Direction direction, const QBrush &brush )
 {
-    if ( direction < 0 || direction >= 2 )
+    // silencing -Wtautological-constant-out-of-range-compare
+    const int index = static_cast< int >( direction );
+    if ( index < 0 || index >= 2 )
         return;
 
-    if ( brush != d_data->symbolBrush[ direction ] )
-    {
-        d_data->symbolBrush[ direction ] = brush;
+    if ( brush != d_data->symbolBrush[ index ] )
+    {
+        d_data->symbolBrush[ index ] = brush;
 
         legendChanged();
@@ -257,8 +259,9 @@
 QBrush QwtPlotTradingCurve::symbolBrush( Direction direction ) const
 {
-    if ( direction < 0 || direction >= 2 )
+    const int index = static_cast< int >( direction );
+    if ( index < 0 || index >= 2 )
         return QBrush();
 
-    return d_data->symbolBrush[ direction ];
+    return d_data->symbolBrush[ index ];
 }
 
@@ -273,5 +276,5 @@
   \param extent Symbol width in scale coordinates
 
-  \sa symbolExtent(), scaledSymbolWidth(), 
+  \sa symbolExtent(), scaledSymbolWidth(),
       setMinSymbolWidth(), setMaxSymbolWidth()
 */
@@ -338,5 +341,5 @@
     {
         d_data->maxSymbolWidth = width;
-    
+
         legendChanged();
         itemChanged();
@@ -360,5 +363,5 @@
 {
     QRectF rect = QwtPlotSeriesItem::boundingRect();
-    if ( rect.isValid() && orientation() == Qt::Vertical )
+    if ( orientation() == Qt::Vertical )
         rect.setRect( rect.y(), rect.x(), rect.height(), rect.width() );
 
@@ -487,5 +490,5 @@
                 case Bar:
                 {
-                    drawBar( painter, translatedSample, 
+                    drawBar( painter, translatedSample,
                         orient, inverted, symbolWidth );
                     break;
@@ -494,5 +497,5 @@
                 {
                     painter->setBrush( d_data->symbolBrush[ brushIndex ] );
-                    drawCandleStick( painter, translatedSample, 
+                    drawCandleStick( painter, translatedSample,
                         orient, symbolWidth );
                     break;
@@ -521,5 +524,5 @@
   \param sample Samples already translated into paint device coordinates
   \param orientation Vertical or horizontal
-  \param inverted True, when the opposite scale 
+  \param inverted True, when the opposite scale
                   ( Qt::Vertical: x, Qt::Horizontal: y ) is increasing
                   in the opposite direction as QPainter coordinates.
@@ -555,5 +558,5 @@
 */
 void QwtPlotTradingCurve::drawBar( QPainter *painter,
-    const QwtOHLCSample &sample, Qt::Orientation orientation, 
+    const QwtOHLCSample &sample, Qt::Orientation orientation,
     bool inverted, double width ) const
 {
@@ -594,5 +597,5 @@
 */
 void QwtPlotTradingCurve::drawCandleStick( QPainter *painter,
-    const QwtOHLCSample &sample, Qt::Orientation orientation, 
+    const QwtOHLCSample &sample, Qt::Orientation orientation,
     double width ) const
 {
@@ -628,5 +631,5 @@
   \return A rectangle filled with the color of the symbol pen
 
-  \param index Index of the legend entry 
+  \param index Index of the legend entry
                 ( usually there is only one )
   \param size Icon size
@@ -671,5 +674,5 @@
         ( orientation() == Qt::Vertical ) ? &xMap : &yMap;
 
-    const double pos = map->transform( map->s1() + d_data->symbolExtent ); 
+    const double pos = map->transform( map->s1() + d_data->symbolExtent );
 
     double width = qAbs( pos - map->p1() );
Index: trunk/BNC/qwt/qwt_plot_tradingcurve.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_tradingcurve.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_tradingcurve.h	(revision 9383)
@@ -22,5 +22,5 @@
   that are used in the domain of technical analysis.
 
-  While the length ( height or width depending on orientation() ) 
+  While the length ( height or width depending on orientation() )
   of each symbol depends on the corresponding OHLC sample the size
   of the other dimension can be controlled using:
@@ -32,10 +32,10 @@
   The extent is a size in scale coordinates, so that the symbol width
   is increasing when the plot is zoomed in. Minimum/Maximum width
-  is in widget coordinates independent from the zoom level. 
-  When setting the minimum and maximum to the same value, the width of 
-  the symbol is fixed. 
+  is in widget coordinates independent from the zoom level.
+  When setting the minimum and maximum to the same value, the width of
+  the symbol is fixed.
 */
-class QWT_EXPORT QwtPlotTradingCurve: 
-    public QwtPlotSeriesItem, QwtSeriesStore<QwtOHLCSample>
+class QWT_EXPORT QwtPlotTradingCurve:
+    public QwtPlotSeriesItem, public QwtSeriesStore<QwtOHLCSample>
 {
 public:
@@ -102,5 +102,5 @@
     typedef QFlags<PaintAttribute> PaintAttributes;
 
-    explicit QwtPlotTradingCurve( const QString &title = QString::null );
+    explicit QwtPlotTradingCurve( const QString &title = QString() );
     explicit QwtPlotTradingCurve( const QwtText &title );
 
@@ -118,5 +118,5 @@
     SymbolStyle symbolStyle() const;
 
-    void setSymbolPen( const QColor &, 
+    void setSymbolPen( const QColor &,
         qreal width = 0.0, Qt::PenStyle = Qt::SolidLine );
     void setSymbolPen( const QPen & );
@@ -126,5 +126,5 @@
     QBrush symbolBrush( Direction ) const;
 
-    void setSymbolExtent( double width );
+    void setSymbolExtent( double );
     double symbolExtent() const;
 
@@ -151,12 +151,12 @@
         const QRectF &canvasRect, int from, int to ) const;
 
-    virtual void drawUserSymbol( QPainter *, 
+    virtual void drawUserSymbol( QPainter *,
         SymbolStyle, const QwtOHLCSample &,
+        Qt::Orientation, bool inverted, double symbolWidth ) const;
+
+    void drawBar( QPainter *painter, const QwtOHLCSample &,
         Qt::Orientation, bool inverted, double width ) const;
 
-    void drawBar( QPainter *painter, const QwtOHLCSample &, 
-        Qt::Orientation, bool inverted, double width ) const;
-
-    void drawCandleStick( QPainter *, const QwtOHLCSample &, 
+    void drawCandleStick( QPainter *, const QwtOHLCSample &,
         Qt::Orientation, double width ) const;
 
Index: trunk/BNC/qwt/qwt_plot_xml.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_xml.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_xml.cpp	(revision 9383)
@@ -29,5 +29,5 @@
   from a specific editor in the Qwt designer plugin.
 
-  \return QString::null
+  \return QString()
   \warning The plot editor has never been implemented.
 */
@@ -38,5 +38,5 @@
     return title().text();
 #else
-    return QString::null;
+    return QString();
 #endif
 }
